Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPointCurlField

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IField
                  igeo.I3DField
                      igeo.IPointCurlField

All Implemented Interfaces:
  I3DFieldI, IDynamics, IFieldI, ISubobject

    public class IPointCurlField

extends I3DField

Attractor field defined by a center point.

Author:
  Satoru Sugihara

Field Summary
`(package private) IPoint` | `point`

Fields inherited from class igeo.I3DField
`field`

Fields inherited from class igeo.IField
`targetClasses`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IPointCurlField(double xpos, double ypos, double zpos, double xaxis, double yaxis, double zaxis)`
`IPointCurlField(IVecI pos, IVecI axis)`

Method Summary
`IPointCurlField` | `clr(java.awt.Color c)`
`IPointCurlField` | `clr(java.awt.Color c, int alpha)` to set color, with alpha value overwritten
`IPointCurlField` | `clr(double dgray)`
`IPointCurlField` | `clr(double dgray, double dalpha)`
`IPointCurlField` | `clr(double dr, double dg, double db)`
`IPointCurlField` | `clr(double dr, double dg, double db, double da)`
`IPointCurlField` | `clr(float fgray)`
`IPointCurlField` | `clr(float fgray, float falpha)`
`IPointCurlField` | `clr(float fr, float fg, float fb)`
`IPointCurlField` | `clr(float fr, float fg, float fb, float fa)`
`IPointCurlField` | `clr(int gray)`
`IPointCurlField` | `clr(int gray, int alpha)`
`IPointCurlField` | `clr(int r, int g, int b)`
`IPointCurlField` | `clr(int r, int g, int b, int a)`
`IPointCurlField` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
`void` | `del()`
`IPointCurlField` | `gaussian(double threshold)` alias of gaussianDecay
`IPointCurlField` | `gaussianDecay(double threshold)` set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
`double` | `getSize()`
`IPointCurlField` | `hide()`
`IPointCurlField` | `hsb(double h, double s, double b)`
`IPointCurlField` | `hsb(double h, double s, double b, double a)`
`IPointCurlField` | `hsb(float h, float s, float b)`
`IPointCurlField` | `hsb(float h, float s, float b, float a)`
`IPointCurlField` | `intensity(double i)` set output intensity
`IPointCurlField` | `layer(ILayer l)` Set layer by ILayer object
`IPointCurlField` | `linear(double threshold)` alias of linearDecay
`IPointCurlField` | `linearDecay(double threshold)` set linear decay with threshold; When distance is equal to threshold, output is zero.
`IPointCurlField` | `name(java.lang.String nm)` methods of IObject
`IPointCurlField` | `noDecay()` set no decay
`IPointCurlField` | `setColor(java.awt.Color c)`
`IPointCurlField` | `setColor(java.awt.Color c, int alpha)`
`IPointCurlField` | `setColor(double dgray)`
`IPointCurlField` | `setColor(double dgray, double dalpha)`
`IPointCurlField` | `setColor(double dr, double dg, double db)`
`IPointCurlField` | `setColor(double dr, double dg, double db, double da)`
`IPointCurlField` | `setColor(float fgray)`
`IPointCurlField` | `setColor(float fgray, float falpha)`
`IPointCurlField` | `setColor(float fr, float fg, float fb)`
`IPointCurlField` | `setColor(float fr, float fg, float fb, float fa)`
`IPointCurlField` | `setColor(int gray)`
`IPointCurlField` | `setColor(int gray, int alpha)`
`IPointCurlField` | `setColor(int r, int g, int b)`
`IPointCurlField` | `setColor(int r, int g, int b, int a)`
`IPointCurlField` | `setHSBColor(double h, double s, double b)`
`IPointCurlField` | `setHSBColor(double h, double s, double b, double a)`
`IPointCurlField` | `setHSBColor(float h, float s, float b)`
`IPointCurlField` | `setHSBColor(float h, float s, float b, float a)`
`IPointCurlField` | `setSize(double sz)` methods of IPoint
`IPointCurlField` | `show()`
`double` | `size()`
`IPointCurlField` | `size(double sz)`
`IPointCurlField` | `threshold(double t)` set decay threshold
`IPointCurlField` | `weight(double w)`
`IPointCurlField` | `weight(float w)`

Methods inherited from class igeo.I3DField
`applyField, field, get, intensity, threshold`

Methods inherited from class igeo.IField
`interact, isTarget, isTargetClass, target, target, targetClass, targetClass`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, clr, cp, createGraphic, deleteGraphic, dup, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, syncGraphic, syncWeight, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### point

    IPoint point

Constructor Detail

### IPointCurlField

    public IPointCurlField(IVecI pos,
                           IVecI axis)

### IPointCurlField

    public IPointCurlField(double xpos,
                           double ypos,
                           double zpos,
                           double xaxis,
                           double yaxis,
                           double zaxis)

Method Detail

### noDecay

    public IPointCurlField noDecay()

  Description copied from class: `I3DField`
  set no decay

  Specified by:
    `noDecay` in interface `IFieldI`
  Overrides:
    `noDecay` in class `I3DField`

### linearDecay

    public IPointCurlField linearDecay(double threshold)

  Description copied from class: `I3DField`
  set linear decay with threshold; When distance is equal to threshold, output is zero.

  Specified by:
    `linearDecay` in interface `IFieldI`
  Overrides:
    `linearDecay` in class `I3DField`

### linear

    public IPointCurlField linear(double threshold)

  Description copied from class: `I3DField`
  alias of linearDecay

  Specified by:
    `linear` in interface `IFieldI`
  Overrides:
    `linear` in class `I3DField`

### gaussianDecay

    public IPointCurlField gaussianDecay(double threshold)

  Description copied from class: `I3DField`
  set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).

  Specified by:
    `gaussianDecay` in interface `IFieldI`
  Overrides:
    `gaussianDecay` in class `I3DField`

### gaussian

    public IPointCurlField gaussian(double threshold)

  Description copied from class: `I3DField`
  alias of gaussianDecay

  Specified by:
    `gaussian` in interface `IFieldI`
  Overrides:
    `gaussian` in class `I3DField`

### constantIntensity

    public IPointCurlField constantIntensity(boolean b)

  Description copied from class: `I3DField`
  if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used

  Specified by:
    `constantIntensity` in interface `IFieldI`
  Overrides:
    `constantIntensity` in class `I3DField`

### threshold

    public IPointCurlField threshold(double t)

  Description copied from class: `I3DField`
  set decay threshold

  Specified by:
    `threshold` in interface `IFieldI`
  Overrides:
    `threshold` in class `I3DField`

### intensity

    public IPointCurlField intensity(double i)

  Description copied from class: `I3DField`
  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`
  Overrides:
    `intensity` in class `I3DField`

### name

    public IPointCurlField name(java.lang.String nm)

  Description copied from class: `IAgent`
  methods of IObject

  Overrides:
    `name` in class `IAgent`

### layer

    public IPointCurlField layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IAgent`

### show

    public IPointCurlField show()

  Overrides:
    `show` in class `IAgent`

### hide

    public IPointCurlField hide()

  Overrides:
    `hide` in class `IAgent`

### del

    public void del()

  Overrides:
    `del` in class `IAgent`

### setSize

    public IPointCurlField setSize(double sz)

  methods of IPoint

### size

    public IPointCurlField size(double sz)

### getSize

    public double getSize()

### size

    public double size()

### clr

    public IPointCurlField clr(java.awt.Color c)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(java.awt.Color c,
                               int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(int gray)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(float fgray)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(double dgray)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(int gray,
                               int alpha)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(float fgray,
                               float falpha)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(double dgray,
                               double dalpha)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(int r,
                               int g,
                               int b)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(float fr,
                               float fg,
                               float fb)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(double dr,
                               double dg,
                               double db)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(int r,
                               int g,
                               int b,
                               int a)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(float fr,
                               float fg,
                               float fb,
                               float fa)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointCurlField clr(double dr,
                               double dg,
                               double db,
                               double da)

  Overrides:
    `clr` in class `IAgent`

### hsb

    public IPointCurlField hsb(float h,
                               float s,
                               float b,
                               float a)

  Overrides:
    `hsb` in class `IAgent`

### hsb

    public IPointCurlField hsb(double h,
                               double s,
                               double b,
                               double a)

  Overrides:
    `hsb` in class `IAgent`

### hsb

    public IPointCurlField hsb(float h,
                               float s,
                               float b)

  Overrides:
    `hsb` in class `IAgent`

### hsb

    public IPointCurlField hsb(double h,
                               double s,
                               double b)

  Overrides:
    `hsb` in class `IAgent`

### setColor

    public IPointCurlField setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(java.awt.Color c,
                                    int alpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(int gray)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(float fgray)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(double dgray)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(int gray,
                                    int alpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(float fgray,
                                    float falpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(double dgray,
                                    double dalpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(int r,
                                    int g,
                                    int b)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(float fr,
                                    float fg,
                                    float fb)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(double dr,
                                    double dg,
                                    double db)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(int r,
                                    int g,
                                    int b,
                                    int a)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(float fr,
                                    float fg,
                                    float fb,
                                    float fa)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointCurlField setColor(double dr,
                                    double dg,
                                    double db,
                                    double da)

  Overrides:
    `setColor` in class `IAgent`

### setHSBColor

    public IPointCurlField setHSBColor(float h,
                                       float s,
                                       float b,
                                       float a)

  Overrides:
    `setHSBColor` in class `IAgent`

### setHSBColor

    public IPointCurlField setHSBColor(double h,
                                       double s,
                                       double b,
                                       double a)

  Overrides:
    `setHSBColor` in class `IAgent`

### setHSBColor

    public IPointCurlField setHSBColor(float h,
                                       float s,
                                       float b)

  Overrides:
    `setHSBColor` in class `IAgent`

### setHSBColor

    public IPointCurlField setHSBColor(double h,
                                       double s,
                                       double b)

  Overrides:
    `setHSBColor` in class `IAgent`

### weight

    public IPointCurlField weight(double w)

  Overrides:
    `weight` in class `IAgent`

### weight

    public IPointCurlField weight(float w)

  Overrides:
    `weight` in class `IAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD